Skip to main content
`Ctrl`+`K`

# KSPFlexibleModifyPCNoChange

this is the default used by the flexible Krylov methods - it doesn’t change the preconditioner. Flexible Krylov Methods

## Synopsis

    #include "petscksp.h"
    PetscErrorCode KSPFlexibleModifyPCNoChange(KSP ksp, PetscInt total_its, PetscInt loc_its, PetscReal res_norm, PetscCtx ctx)

## Input Parameters

- ksp - the ksp context being used.

- total_its - the total number of `KSP` iterations that have occurred.

- loc_its - the number of `KSP` iterations since last restart.

- res_norm - the current residual norm.

- ctx - context variable, unused in this routine

## Note

See `KSPFlexibleModifyPCKSP()` for a template for providing your own modification routines.

## See Also

KSP: Linear System Solvers, Flexible Krylov Methods, `KSPFGMRES`, `KSPFCG`, `KSPPIPEFCG`, `KSPGCR`, `KSPPIPEGCR`, `KSPFlexibleModifyPCFn`, `KSPFlexibleSetModifyPC()`, `KSPFlexibleModifyPCKSP()`

## Level

intermediate

## Location

src/ksp/ksp/impls/gmres/fgmres/modpcf.c

Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages